> For the complete documentation index, see [llms.txt](https://handtracking.lightbuzz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://handtracking.lightbuzz.com/api-reference/finger/pinky.md).

# Pinky

{% hint style="warning" %}
The `Hand` class automatically instantiates the `Pinky` class for you.
{% endhint %}

```csharp
public class Pinky : Finger
```

Inherits [Finger ](/api-reference/finger.md)class.

### Constructors

| Name                                                                                                                  | Description                                                                         |
| --------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------- |
| Pinky(Dictionary<[FingerJointType](/api-reference/fingerjointtype.md), [FingerJoint](/api-reference/fingerjoint.md)>) | Creates a new Pinky object with the specified finger joint types and finger joints. |

### Properties

| Name | Type                                         | Description                                                 |
| ---- | -------------------------------------------- | ----------------------------------------------------------- |
| MCP  | [FingerJoint](/api-reference/fingerjoint.md) | Read-Only. The pinky finger metacarpophalangeal joint.      |
| PIP  | [FingerJoint](/api-reference/fingerjoint.md) | Read-Only. The pinky finger proximal interphalangeal joint. |
| DIP  | [FingerJoint](/api-reference/fingerjoint.md) | Read-Only. The pinky finger distal interphalangeal joint.   |
| Tip  | [FingerJoint](/api-reference/fingerjoint.md) | Read-Only. The pinky finger tip joint.                      |

### Example

The example shows how to manage a pinky finger with the `Pinky` class.

#### Create a pinky finger with a constructor

```csharp
// Create a pinky tip joint with the specified 2D position and 
// 3D position.
FingerJoint pinkyTip = new FingerJoint
(
    FingerJointType.PinkyTip,
    new Vector2(3, 3),
    new Vector3(0.3f, 0.3f, 0.3f),
    new Quaternion()
);

// Create a pinky DIP joint with the specified 2D position and 
// 3D position.
FingerJoint pinkyDIP = new FingerJoint
(
    FingerJointType.PinkyDIP,
    new Vector2(3, 3),
    new Vector3(0.3f, 0.3f, 0.3f),
    new Quaternion()
);

 // Create a pinky finger with the specified pinky joints.
 Pinky pinky = new Pinky
 (
     new Dictionary<FingerJointType, FingerJoint> 
     {
         { FingerJointType.PinkyTip, pinkyTip },
         { FingerJointType.PinkyDIP, pinkyDIP }
     }
 );
```

#### Get joint information from a pinky finger

```csharp
// Get pinky Tip joint.
FingerJoint pinkyTipNew = pinky.Tip;
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://handtracking.lightbuzz.com/api-reference/finger/pinky.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
